"""Add created_at and updated_at column to every model

Revision ID: d557b4b44b7c
Revises: cafa1e01b782
Create Date: 2023-01-13 15:34:30.826234

"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "d557b4b44b7c"
down_revision = "cafa1e01b782"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "bucket",
        sa.Column("created_at", sa.Integer(), server_default=sa.text("(UNIX_TIMESTAMP())"), nullable=False),
    )
    op.add_column(
        "bucket",
        sa.Column(
            "updated_at",
            sa.Integer,
            server_default=sa.text("(UNIX_TIMESTAMP())"),
            nullable=False,
        ),
    )
    op.add_column(
        "bucketpermission",
        sa.Column("created_at", sa.Integer(), server_default=sa.text("(UNIX_TIMESTAMP())"), nullable=False),
    )
    op.add_column(
        "bucketpermission",
        sa.Column(
            "updated_at",
            sa.Integer(),
            server_default=sa.text("(UNIX_TIMESTAMP())"),
            nullable=False,
        ),
    )
    op.add_column(
        "user", sa.Column("created_at", sa.Integer(), server_default=sa.text("(UNIX_TIMESTAMP())"), nullable=False)
    )
    op.add_column(
        "user",
        sa.Column(
            "updated_at",
            sa.Integer(),
            server_default=sa.text("(UNIX_TIMESTAMP())"),
            nullable=False,
        ),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("user", "updated_at")
    op.drop_column("user", "created_at")
    op.drop_column("bucketpermission", "updated_at")
    op.drop_column("bucketpermission", "created_at")
    op.drop_column("bucket", "updated_at")
    op.drop_column("bucket", "created_at")
    # ### end Alembic commands ###
